> For the complete documentation index, see [llms.txt](https://docs.becard.me/rest-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.becard.me/rest-api/business-manager-space/digital-business-cards/create-a-card.md).

# Create a Card

Create a digital business card for your team member directly through Space. Choose whether you want to create a Becard user account for this team member in the same process.

<mark style="color:green;">`POST`</mark> `/v1/spaces/{SPACE_UUID}/cards`

#### Request Body

| Name                                        | Type   | Description                                                                               |
| ------------------------------------------- | ------ | ----------------------------------------------------------------------------------------- |
| firstName<mark style="color:red;">\*</mark> | string |                                                                                           |
| lastName<mark style="color:red;">\*</mark>  | string |                                                                                           |
| position                                    | string |                                                                                           |
| department                                  | string |                                                                                           |
| email                                       | string |                                                                                           |
| connect<mark style="color:red;">\*</mark>   | boolen | Create a User Account and link this digital card to the created account? Default: `false` |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "uuid": "TVZ2xSXXXXXXX",
    "avatar": {
        "uuid": null,
        "src": "https:\/\/cdn.becard.me\/default\/card_v1.jpg"
    },
    "username": "TVZ2xSXXXXXXX",
    "display_name": "Jon Doe",
    "position": "CTO",
    "public": null,
    "connected_cards": 0,
    "connects": 0,
    "subscriptions": null,
    "created_at": "2024-02-07T13:01:53.000000Z",
    "updated_at": "2024-02-07T13:01:53.000000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.becard.me/rest-api/business-manager-space/digital-business-cards/create-a-card.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
